/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.jdbc.xa;

import javax.sql.XADataSource;

import com.mysql.jdbc.jdbc2.optional.MysqlXaDataSource;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class MYSQLXADataSource extends AbstractXADataSource {

    public MYSQLXADataSource(String url) {
        super(url);
    }

    protected XADataSource init(String url) {
        MysqlXaDataSource xads = new MysqlXaDataSource();
        xads.setURL(getUrl());
        return xads;
    }

    public static void main(String[] args) {

    }
}

